Bug 191215 - net-mgmt/ourmon: can it be converted back to regular port from interactive?
net-mgmt/ourmon: can it be converted back to regular port from interactive?
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: --- Affects Many People
Assigned To: John Marino
Depends on:
  Show dependency treegraph
Reported: 2014-06-20 17:36 UTC by John Marino
Modified: 2014-07-02 22:27 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2014-06-20 17:36:16 UTC
Hi Charlie,
I see from the log that your port was converted to an interactive port 3 years ago.  We're making a push to eliminate interactive ports.  Can you explain why it's technically required to be interactive?  And if it's technically possible to convert it back to a regular-style port?

Comment 1 John Marino freebsd_committer 2014-06-20 17:36:37 UTC
Notify maintainer
Comment 2 John Marino freebsd_committer 2014-06-27 11:01:15 UTC
Hi Charlie, since ourman will be deprecated soon due to lack of stage support anyway, should we just deprecate it now?  I checked the bug tracker, there are no PRs pending so maybe you aren't interested in this port anymore?
Comment 3 commit-hook freebsd_committer 2014-07-02 22:25:47 UTC
A commit references this bug:

Author: marino
Date: Wed Jul  2 22:24:48 UTC 2014
New revision: 360301
URL: http://svnweb.freebsd.org/changeset/ports/360301

  net-mgmt/ourmon: Reset maintainer and deprecate interactive port

  This port was going to be reset in a couple of days anyway due to lack
  of maintainer response, but I moved the timeline up since unstaged ports
  started being reset today.  Now that it's unmaintained and interactive,
  the same expiration date of the other unmaintained interactive port has
  been applied.

  PR:		191215
  Approved by:	portmgr (implicit)

Comment 4 John Marino freebsd_committer 2014-07-02 22:27:50 UTC
Deprecated and due to be removed on 20 August with other unmaintained interactive ports.